Package org.apache.sysds.parser

# Enum Class Expression.BooleanOp

java.lang.Object
java.lang.Enum<Expression.BooleanOp>
org.apache.sysds.parser.Expression.BooleanOp

All Implemented Interfaces:
  `Serializable`, `Comparable<Expression.BooleanOp>`, `Constable`

Enclosing class:
  Expression

public static enum Expression.BooleanOp extends Enum<Expression.BooleanOp>
Boolean operators.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CONDITIONALAND`
`CONDITIONALOR`
`INVALID`
`LOGICALAND`
`LOGICALOR`
`NOT`

## Method Summary

Modifier and Type
Method
Description
`static Expression.BooleanOp`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Expression.BooleanOp[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### CONDITIONALAND

public static final Expression.BooleanOp CONDITIONALAND

### CONDITIONALOR

public static final Expression.BooleanOp CONDITIONALOR

### LOGICALAND

public static final Expression.BooleanOp LOGICALAND

### LOGICALOR

public static final Expression.BooleanOp LOGICALOR

### NOT

public static final Expression.BooleanOp NOT

### INVALID

public static final Expression.BooleanOp INVALID

## Method Details

### values

public static Expression.BooleanOp[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Expression.BooleanOp valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null